import os
from pathlib import Path


ROOT_DIR = Path(__file__).absolute().parent.parent


def _get_env_dir(environ_variable) -> Path:
    path = os.environ.get(environ_variable)
    if path is None:
        raise EnvironmentError(
            f"Please, set environment variable '{environ_variable}'."
        )
    path = Path(path)
    if not path.exists():
        raise FileNotFoundError(
            f"Environment variable BENCHMARK_DIR set to '{path}', "
            "but directory does not exist."
        )
    return path


def get_request_dir() -> Path:
    return _get_env_dir("REQUEST_DIR")


def get_benchmark_dir() -> Path:
    return _get_env_dir("BENCHMARK_DIR")
