from datetime import datetime
import pytest

from opa_tools.utils import (
    _normalize_request_identifier,
)

yymm = datetime.now().strftime("%y%m")
yy = yymm[0:2]
print(yymm)

request_normalization_testdata = [
    (("001", None, "gsv"), ("1", yymm, "gsv")),
    ((1, None, "gsv"), ("1", yymm, "gsv")),
    (("05/1", None, "gsv"), ("1", f"{yy}05", "gsv")),
    (("05/001", None, "gsv"), ("1", f"{yy}05", "gsv")),
    (("1809/1", None, "gsv"), ("1", "1809", "gsv")),
    (("1809/001", None, "gsv"), ("1", "1809", "gsv")),
    (("001", "1904", "gsv"), ("1", "1904", "gsv")),
    ((1, "1904", "gsv"), ("1", "1904", "gsv")),
    (("001", "03", "gsv"), ("1", f"{yy}03", "gsv")),
    ((1, "03", "gsv"), ("1", f"{yy}03", "gsv")),
]

@pytest.mark.parametrize("input,expected", request_normalization_testdata)
def test_request_normalization(input, expected):
    input = (input[0], None, input[1], input[2])
    output = _normalize_request_identifier(*input)
    output = (output[0], output[2], output[3])
    assert output == expected

